Get book's WebPub manifest (DiViNa)
curl --request GET \
--url https://demo.komga.org/api/v1/books/{bookId}/manifest/divina \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/books/{bookId}/manifest/divina"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/books/{bookId}/manifest/divina', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/books/{bookId}/manifest/divina",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/books/{bookId}/manifest/divina"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/books/{bookId}/manifest/divina")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/books/{bookId}/manifest/divina")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"images": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"landmarks": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"links": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"metadata": {
"artist": [
"<string>"
],
"author": [
"<string>"
],
"colorist": [
"<string>"
],
"contributor": [
"<string>"
],
"editor": [
"<string>"
],
"illustrator": [
"<string>"
],
"inker": [
"<string>"
],
"letterer": [
"<string>"
],
"penciler": [
"<string>"
],
"publisher": [
"<string>"
],
"rendition": {},
"subject": [
"<string>"
],
"title": "<string>",
"translator": [
"<string>"
],
"belongsTo": {
"collection": [
{
"links": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"name": "<string>",
"position": 123
}
],
"series": [
{
"links": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"name": "<string>",
"position": 123
}
]
},
"conformsTo": "<string>",
"description": "<string>",
"identifier": "<string>",
"language": "<string>",
"modified": "2023-11-07T05:31:56Z",
"numberOfPages": 123,
"published": "2023-12-25",
"readingProgression": "rtl",
"sortAs": "<string>",
"subtitle": "<string>",
"type": "<string>"
},
"pageList": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"readingOrder": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"resources": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"toc": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"context": "<string>"
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}WebPub Manifest
Get book's WebPub manifest (DiViNa)
GET
/
api
/
v1
/
books
/
{bookId}
/
manifest
/
divina
Get book's WebPub manifest (DiViNa)
curl --request GET \
--url https://demo.komga.org/api/v1/books/{bookId}/manifest/divina \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/books/{bookId}/manifest/divina"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/books/{bookId}/manifest/divina', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/books/{bookId}/manifest/divina",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/books/{bookId}/manifest/divina"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/books/{bookId}/manifest/divina")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/books/{bookId}/manifest/divina")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"images": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"landmarks": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"links": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"metadata": {
"artist": [
"<string>"
],
"author": [
"<string>"
],
"colorist": [
"<string>"
],
"contributor": [
"<string>"
],
"editor": [
"<string>"
],
"illustrator": [
"<string>"
],
"inker": [
"<string>"
],
"letterer": [
"<string>"
],
"penciler": [
"<string>"
],
"publisher": [
"<string>"
],
"rendition": {},
"subject": [
"<string>"
],
"title": "<string>",
"translator": [
"<string>"
],
"belongsTo": {
"collection": [
{
"links": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"name": "<string>",
"position": 123
}
],
"series": [
{
"links": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"name": "<string>",
"position": 123
}
]
},
"conformsTo": "<string>",
"description": "<string>",
"identifier": "<string>",
"language": "<string>",
"modified": "2023-11-07T05:31:56Z",
"numberOfPages": 123,
"published": "2023-12-25",
"readingProgression": "rtl",
"sortAs": "<string>",
"subtitle": "<string>",
"type": "<string>"
},
"pageList": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"readingOrder": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"resources": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"toc": [
{
"properties": {},
"height": 123,
"href": "<string>",
"rel": "<string>",
"templated": true,
"title": "<string>",
"type": "<string>",
"width": 123
}
],
"context": "<string>"
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes